%define name zz_fermi-logos
%define version 3.0.2
%define release 3
%define fermipath /usr/share/pixmaps/fermi
%define redpath /usr/share/pixmaps/redhat

Summary: Icons, Logos, and startup screens for Fermi
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Epoch: 3
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch

%description
This rpms is a collection of the various icons, logos, and startup screens that
have been made for fermilab.  It also includes some other modifications
to make Fermi Linux more fermized.

%prep
%setup -q

%install
mkdir -p $RPM_BUILD_ROOT%{fermipath}
mkdir -p $RPM_BUILD_ROOT/usr/share/gdm/themes
cp -r * $RPM_BUILD_ROOT%{fermipath}
cp -r purplecircles $RPM_BUILD_ROOT/usr/share/gdm/themes

%post
#Clear out redhat desktop icon
if [ -f /usr/share/apps/kdesktop/DesktopLinks/www.redhat.com ] ; then
	rm -f /usr/share/apps/kdesktop/DesktopLinks/www.redhat.com
fi

%triggerin -- kdebase
if [ -f /usr/share/apps/kdesktop/DesktopLinks/www.redhat.com ] ; then
	rm -f /usr/share/apps/kdesktop/DesktopLinks/www.redhat.com
fi

%files
%{fermipath}/
/usr/share/gdm/themes/purplecircles/
